/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005-2008. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("com.ibm.team.repository.web.ui.internal.provision.ProvisioningStatusPanel");

dojo.require("dijit._Widget");
dojo.require("dijit._Templated");
dojo.require("dojox.data.dom");

(function() {
dojo.declare("com.ibm.team.repository.web.ui.internal.provision.ProvisioningStatusPanel", [dijit._Widget, dijit._Templated], {

	templatePath: dojo.moduleUrl("com.ibm.team.repository.web", "ui/internal/provision/template/ProvisioningStatusPanel.html"),
			 
	postCreate: function() {
		com.ibm.team.repository.web.ui.internal.provision.ProvisioningStatusPanel.superclass.postCreate.apply(this);
	},
	
	clearStatusMsg: function() {
		dojox.data.dom.removeChildren(this.messageArea);
	},
	
	setStatusMsg: function(msg) {
		this.clearStatusMsg();
		this.messageArea.className = "messageArea";
		this.messageArea.appendChild(document.createTextNode(msg));
	},
	
	clearOutput: function() {
		dojox.data.dom.removeChildren(this.outputNode);
	},
	
	setOutput: function(outputString) {
		this.clearOutput();
		var output = outputString.split("\n");
		for (var i = 0; i < output.length; i++) {
			this.outputNode.appendChild(document.createTextNode(output[i]));
			this.outputNode.appendChild(document.createElement("br"));
		}
	},
	
	appendOutput: function(output, className) {
		if (className != undefined) {
			var outputText = document.createElement("div");
			outputText.className = className;
			outputText.appendChild(document.createTextNode(output));
		}
		else {
			outputText = document.createTextNode(output);
		}
		this.outputNode.appendChild(outputText);
		this.outputNode.appendChild(document.createElement("br"));
	}
});
})();			